Contenu | Rechercher | Menus
Selon les tags présents sur cette page, celle-ci est ancienne et ne contient plus d'informations sur une des versions supportées d'Ubuntu.
Apportez votre aide…

Tintii

Tintii est un logiciel de retouche photo qui permet la mise en valeur d'une ou plusieurs couleurs.
Il est écrit en C++ et est disponible :

  • en version gratuite sur GNU/Linux sous licence GPLv2,
  • en version payante, après une période d'essai de 21 jours, sous Windows et Mac os X.
  • peut être utilisable sous forme de plugin pour Photoshop et Paint Shop Pro

Installation

Par paquet

Il suffit d'installer le paquet tintii

L'installateur ne créant pas de lanceur, Tintii ne peut être exécuté que par un terminal avec la commande:

tintii

Pour avoir un lanceur, vous pouvez créer une nouvelle entrée par exemple avec alacarte dans la section graphisme.

Par compilation

Pour compiler la dernière version de Tintii rendez-vous sur cette page, télécharger la version Linux puis extraire l'archive dans votre Dossier Personnel.
Ouvrez ensuite un terminal et rendez-vous dans le dossier tintii-X.X.X 1) précédemment extrait. Par exemple vous saisirez:

cd ~/tintii-2.6.1

ensuite lancer la commande:

./configure --disable-assert CXXFLAGS="-O3 -g"

Suite à cette commande, il se peut qu'il vous manque des dépendances. Regardez les lignes se terminant par no.
Par exemple, en retour de la commande vous pourrez avoir quelque chose comme:

checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... /bin/mkdir -p
checking for gawk... no
checking whether make sets $(MAKE)... yes
checking for g++... g++
checking for C++ compiler default output file name... a.out
checking whether the C++ compiler works... yes
checking whether we are cross compiling... no
checking for suffix of executables... 
checking for suffix of object files... o
checking whether we are using the GNU C++ compiler... yes
checking whether g++ accepts -g... yes
checking for style of include used by make... GNU
checking dependency style of g++... gcc3
checking for a BSD-compatible install... /usr/bin/install -c
checking for  option to support OpenMP... -fopenmp
checking for wx-config... no
checking for wxWidgets 2.8... no
checking whether to enable assertions... no
checking how to run the C++ preprocessor... g++ -E
checking for boost/numeric/ublas/matrix.hpp... no
configure: error: required boost header not found

Vous pouvez voir qu'il manque:

checking for gawk... no
checking for wx-config... no
checking for wxWidgets 2.8... no
checking for boost/numeric/ublas/matrix.hpp... no

Pour résoudre ces dépendances, il faudra donc installer les paquets gawk libwxgtk2.8-dev libboost-all-dev, ce qui peut se résumer avec l'outil apt-get par:

sudo apt-get install gawk libwxgtk2.8-dev libboost-all-dev

FIXME méthode pour trouver ces dépendances.

puis:

make

et pour finir:

sudo make install

Si vous n'avez pas de lanceur, référez vous à la méthode d'installation par paquet.

Utilisation

Tintii n'est actuellement pas disponible en français, néanmoins sont utilisation est assez intuitive.
Le glisser/déposer n'étant pas implémenté, pour importer une photo cliquez sur l’icône Open.

Lien


Contributeurs: FIXME

1) X.X.X étant une suite de chiffre représentant la version du logiciel


Le contenu de ce wiki est sous licence : CC BY-SA v3.0